Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001219Core InformKinds and type checkingpublic2014-04-12 18:512014-05-07 07:33
ReporterTom S. Fox 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001219: Internal error when declaring a variable beginning with “in”
DescriptionAn internal error occurs when the user tries to declare a variable with a name that begins with “in,” followed by a space and at least one other word.

The message reads: “An internal error has occurred: attempt to retrieve wrong pointer type as nonlocal_variable. […] the error was detected at line 746 of "Chapter 2/Memory.w".”

As far as I can see, this happens with all types of variables.
Minimal Source Text To Reproduce
In correct temple is a truth state that varies.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0002616)
zarf (developer)
2014-04-12 19:43

Confirmed.

"On ..." shows the same problem.
(0002642)
graham (administrator)
2014-05-03 12:11

Fixed.

- Issue History
Date Modified Username Field Change
2014-04-12 18:51 Tom S. Fox New Issue
2014-04-12 19:43 zarf Note Added: 0002616
2014-04-12 19:43 zarf Status new => confirmed
2014-04-14 11:09 EmacsUser Severity mild => critical
2014-05-03 12:11 graham Note Added: 0002642
2014-05-03 12:11 graham Status confirmed => resolved
2014-05-03 12:11 graham Resolution open => fixed
2014-05-03 12:11 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker